
<div id="withoutTitle">
    <div id="selecterScreen">
        <div class="text-center" style="padding: 30px;">
            <a class="bigButton" id="firstAppLink" href="#">First app</a>
            <a class="bigButton" id="secondAppLink">Second app</a>
            <a class="bigButton" id="thirdAppLink">Third app</a>
        </div>
    </div>
    
    
    <div id="appealingScreen">
        <div id="firstScreenTitle">
           
        </div>
        <div id="firstScreenButtons">
            <button type="button" class="bigButton" id="startDebut">Début</button>
            <button type="button" class="bigButton" id="startStart">Start</button>
            <button type="button" class="bigButton" id="startInizio">Inizio</button>
        </div>
    </div>
    
    <div id="buttonScreen">
        <div class="instructionLine" data-text="firstApp/instructions/0" style="animation-delay: 0s;"></div>
        <div class="instructionLine" style="animation-delay: 0.25s;"><img src="frontend/img/redRobot.png" style="width: 30px; margin: 10px;"/></div>
        <div class="instructionLine" data-text="firstApp/instructions/1" style="animation-delay: 0.5s;"></div>

        <button type="button" class="bigButton instructionLine" style="animation-delay: 0.5s;margin-top: 3%" id="contFirstAppInstruct">
            <span class ="blinkButton" data-text="firstApp/instructions/2"></span>
        </button>
    </div>
    
    <div id="secondAppButtonScreen">
        <div class="instructionLine" data-text="secondApp/instructions/0" style="animation-delay: 0s;"></div>
        <div class="instructionLine" style="animation-delay: 0.25s;"><img src="frontend/img/greenRobot.png" style="width: 30px; margin: 10px;"/></div>
        <div class="instructionLine" data-text="secondApp/instructions/1" style="animation-delay: 0.5s;"></div>
            
        <button type="button" class="bigButton instructionLine" style="animation-delay: 0.75s;margin-top: 3%" id="contSecondAppInstruct">
            <span class ="blinkButton" data-text="secondApp/instructions/2"></span>
        </button>
    </div>
    
    <div id="thirdAppButtonScreen">
        <div class="instructionLine" style="animation-delay: 0s;">Repérez le carré bleu dans le labyrinthe.</div>
        <div class="instructionLine" style="animation-delay: 0.25s;"><img src="frontend/img/blueRobot.png" style="width: 30px; margin: 10px;"/></div>
        <div class="instructionLine" style="animation-delay: 0.5s;">Imaginez que c'est un petit robot, vous allez choisir la méthode la plus efficace pour trouver la sortie.</div>
            
        <button type="button" class="bigButton instructionLine" style="animation-delay: 0.75s;margin-top: 3%" id="contThirdAppInstruct">
            <span class ="blinkButton" data-text="secondApp/instructions/2"></span>
        </button>
    </div>
</div>

<div id="withTitle">
    <div class="gameTitle">
        <div id="firstWelcomeSentence">
            <img src="frontend/img/redRobot.png" style="width: 7%; margin-right: 5%;"/> <span data-text="firstApp/welcome"></span>
        </div>
        <div id="secondWelcomeSentence">
            <img src="frontend/img/greenRobot.png" style="width: 7%; margin-right: 5%;"/> <span data-text="secondApp/welcome"></span>
        </div>
        <div id="thirdWelcomeSentence">
            <img src="frontend/img/blueRobot.png" style="width: 7%; margin-right: 5%;"/> <span>Comparez les algorithmes!</span>
        </div>
    </div>
    <div class="gameBody">
        <div id="instructionsScreen">

            <div class="instructionLine" data-text="firstApp/instructions/3" style="animation-delay: 0s;"></div>
            <div class="instructionLine" data-text="firstApp/instructions/4" style="animation-delay: 0.25s; text-decoration: underline"></div>
            <div class="instructionLine" data-text="firstApp/instructions/5" style="animation-delay: 0.5s;"></div>
            <div class="instructionLine"  style="animation-delay: 0.75s;">
                <img src="frontend/img/turnLeftRound.png" style="width: 60px; margin: 10px;"/>
                <img src="frontend/img/turnRightRound.png" style="width: 60px; margin: 10px;"/>
                <img src="frontend/img/forward.svg" style="width: 60px; margin: 10px;"/>
            </div>
            <div class="instructionLine" data-text="firstApp/instructions/6" style="animation-delay: 1s;"></div>
    
            <div class="text-center">
                <button type="button" class="bigButton instructionLine" style="animation-delay: 1.25s; margin-top: 30px" id="startFirstGame">
                    <span class ="blinkButton" data-text="firstApp/instructions/7"></span>
                </button>
            </div>
        
        </div>
        
        <div id="secondAppInstructionsScreen">
            <div class="instructionLine" data-text="secondApp/instructions/3" style="animation-delay: 0s; margin-top: 30px;"></div>
            <div class="instructionLine" style="margin-top: 5px; margin-bottom: 15px;  animation-delay: 0.25s;">
                <span data-text="secondApp/instructions/4" style="text-decoration: underline"></span>
                <span data-text="secondApp/instructions/5"></span>
            </div>
            
            <div class="row instructionLine" style="margin-top:50px; animation-delay: 0.75s;">
                 <div class="col-xs-4">
                    <div class="instructionLine" data-text="secondApp/instructions/6" style="animation-delay: 0.5s;  margin-bottom: 15px; "></div>
                    <button type="button" class="bigButton instructionLine" style="animation-delay: 1s;margin-top: 15px; " id="startSecondGame">
                        <span class ="blinkButton" data-text="secondApp/instructions/7"></span>
                    </button>
                </div>
                
                <div class="col-xs-8" style="border-radius: 3px; padding: 0px; border: 4px solid #6cadda;" >
                    
                    <div class="blinkButton" style="position: absolute; bottom: 7%; left: 3%; font-size: 4rem;" data-text="secondApp/tutorial"></div>
 
                    <video id="videoInstructions">
                        <source src="frontend/video/en.mp4" type="video/mp4" id="videoMp4">
                        <source src="frontend/video/en.webm" type="video/webm" id="videoWebm">
                    </video>
                    <div class="progress" style="margin: 0px; padding: 0px; border-top: 5px solid #6cadda; border-radius: 0px">
                      <div id="progressBar" class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="0"
                      aria-valuemin="0" aria-valuemax="100" style="margin: 0px; padding: 0px; width:0%">
                      </div>
                    </div>
                </div>
                
            </div>
        </div>
        
        
        
        <div id="gameScreen">
            <div style="text-align: center; margin-top: 20px; margin-bottom: 20px;">
                <div data-text="firstApp/instructions/3" ></div>
                <div data-text="firstApp/instructions/4" ></div>
                <div data-text="firstApp/instructions/5"></div>
            </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xs-3 smallPadding"><div class="cell">
                        1) <div class="cellIcon img-thumbnail imgDirection imgDirectionForward"></div><span class="cellText" data-text="firstApp/start"></span>
                    </div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell4">
        				5) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell8">
        				9) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell12">
        				13) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                </div>
                <div class="row">
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell1">
        				2) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell5">
        				6) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell9">
        				10) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell13">
        				14) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                </div>
                <div class="row">
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell2">
        				3) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell6">
        				7) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell10">
        				11) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell14">
        				15) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                </div>
                <div class="row">
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell3">
        				4) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell7">
        				8) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell11">
        				12) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                    <div class="col-xs-3 smallPadding"><div class="cell" id="cell15">
        				16) <div class="cellIcon img-thumbnail"></div><span class="cellText"></span>
        			</div></div>
                </div>

                 <div class="row" style="margin-top: 20px; margin-left: 5px">
                    <div class="col-xs-7 correctDiv" style="padding: 0px; line-height: 2em" id="textCorrect" data-text="firstApp/correct">
                    </div>
                    <div class="col-xs-5" style="padding-right: 0px;">
                        
                        <!--<button id="validation" type="button" class="bigButton" style="float: right; margin-left: 3%; margin-right: 5px" data-text="startSim"></button>-->
                        <button id="firstGameHelp" type="button" class="bigButton" style="float: right; margin-right: 5px" data-text="firstApp/help"></button>
                        <button id="firstGameValidation" type="button" class="bigButton" style="float: right; margin-right: 5px" data-text="startSim"></button>
                        <button id="firstGameForward" type="button" class="bigButtonImage imgDirection imgDirectionForward" style="float: right; margin-right: 30px; height: 1.5em; width: 1.5em"></button>
                        <button id="firstGameLeft" type="button" class="bigButtonImage imgDirection imgDirectionLeft" style="float: right; margin-right: 10px; height: 1.5em; width: 1.5em"></button>
                        <button id="firstGameRight" type="button" class="bigButtonImage imgDirection imgDirectionRight" style="float: right; margin-right: 10px; height: 1.5em; width: 1.5em"></button>
                    </div>
                   
                </div>
                
            </div>
        </div>
        
        
        <div id="secondGameScreen">
            
            <div class="container-fluid">
                 <div class="row">
                    <div class="col-xs-12 text-center" style="margin-bottom: 2%; font-size: 3rem " data-text="secondApp/toDo">
                    </div>
                </div>
                <div class="row">
                    
                    
                    <div class="col-xs-3">
                        <div class="row" style="margin-top: 80px;">
                           
                            <div class="col-xs-8 algorithmText text-right" data-text="secondApp/wall">
                            </div>
                             <div class="col-xs-3 col-xs-offset-1 stateInstructionDrag fullState" id="fullStateInstruction">
                            </div>
                        </div>
                        <div class="row" style="margin-top: 30px;">
                           
                            <div class="col-xs-8  algorithmText text-right"  id="emptyInstruction" data-text="secondApp/path">
                            </div>
                             <div class="col-xs-3 col-xs-offset-1 stateInstructionDrag emptyState" id="emptyStateInstruction">
                            </div>
                        </div>
                        
                        <div class="row"  style="margin-top: 30px;">
                             <div class="col-xs-8 text-right">
                                 <div  class="algorithmText"  id="emptyFullInstruction"  data-text="secondApp/wallOrPath"></div>
                                 <div><span data-text="secondApp/whatever"></span> <img class="blinkButton" id="symbolHelpButton" style="width: 10%; height: 10%" src="frontEnd/img/help.png"/></div>
                            </div>
                            <div class="col-xs-3 col-xs-offset-1 stateInstructionDrag emptyFullState" id="emptyFullStateInstruction">
                            </div>
                           
                        </div>
                        
                    </div>
                
                    
                    <div class="col-xs-6" id="algorithmBox">
                        <div class="row">
                        <div style="padding-left: 20px; margin-bottom: 0.75%; font-size: 2.5rem " data-text="secondApp/repeat">
                        </div>
                    </div>
                        <div class="row" id="algorithm">
                            
                        </div>
                    </div>
                    
                    
                    <div class="col-xs-3">
                        <div class="row" s>
                            <div class="col-xs-11 col-xs-offset-1">
                                <button type="button" class="bigButton" id="restartTuto" data-text="secondApp/restartTuto"></button>
                            </div>
                        </div>
                        <div class="row" style="margin-top: 10%;">
                            <div class="col-xs-3 col-xs-offset-1 text-center">
                                <div class="directionDrag imgDirection imgDirectionForward" id="forwardDirectionInstruction"></div>
                            </div>
                            <div class="col-xs-8 algorithmText" data-text="directions/forward">
                            </div>
                        </div>
                        <div class="row" style="margin-top: 5%;">
                            <div class="col-xs-3 col-xs-offset-1 text-center">
                                <div class="directionDrag imgDirection imgDirectionLeft" id="leftDirectionInstruction"></div>
                            </div>
                            <div class="col-xs-8 algorithmText" data-text="directions/left">
                            </div>
                        </div>
                        <div class="row"  style="margin-top: 5%;">
                            <div class="col-xs-3 col-xs-offset-1 text-center">
                                <div class="directionDrag  imgDirection imgDirectionRight" id="rightDirectionInstruction"></div>
                            </div>
                            <div class="col-xs-8 algorithmText" data-text="directions/right">
                            </div>
                        </div>
                        <div class="row"  style="margin-top: 5%;">
                            <div class="col-xs-3 col-xs-offset-1 text-center">
                                <div class="directionDrag  imgDirection imgDirectionTurnAround" id="turnAroundDirectionInstruction"></div>
                            </div>
                            <div class="col-xs-8 algorithmText" data-text="directions/turnAround">
                            </div>
                        </div>
                        
                        <div class="row" style="margin-top: 20%;">
                            <div class="col-xs-4 col-xs-offset-1">
                                <button type="button" class="bigButton" id="startAlgo" data-text="startSim"></button>
                            </div>
                        </div>
                        
                    </div>
                </div>
                    <div class="col-xs-3">
                        </div>
                <div class="col-xs-6">
                        
                        <div class="row">
                            <div class="algorithmButtons">
                                <button type="button" class="bigButton" id="newLine" data-text="secondApp/addLine">
                                </button>
                                <button type="button" class="bigButton" id="secondGameHelp" style="float:right" data-text="secondApp/solution">
                                </button>
                            </div>
                        </div>
                    </div>
                    
                
                
        
            </div>
        </div>
        
         <div id="thirdGameScreen">
             Choisissez un algorithme et appuyez sur validation pour voir le robot l'exécuter.
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xs-1">
                    </div>
                    <div class="col-xs-8">
                        <div class="tab">
                          <button class="tablinks bigButton tablinksSelected" id="tablinks1">Random mouse</button>
                          <button class="tablinks bigButton" id="tablinks2">Main droite</button>
                          <button class="tablinks bigButton" id="tablinks3">Pledge</button>
                          <button class="tablinks bigButton" id="tablinks4">Parcours en profondeur</button>
                          <button class="tablinks bigButton" id="tablinks5">Parcours en largeur</button>
                        </div>
                        
                        <div id="tabcontent1" class="tabcontent">
                            <h1>Random Mouse</h1>
                            <p>
                                À chaque intersection, le robot prend une direction aléatoire. C'est donc un algorithme très simple ne nécessitant pas de mémoire, 
                                mais il n'est pas garanti que le robot arrive à sortir du labyrinthe.
                            </p>
                        </div>
                        
                        <div id="tabcontent2" class="tabcontent" style="display: none">
                            <h1>Main droite</h1>
                            <p>
                                À chaque intersection, le robot prend le chemin le plus à droite possible. S'il ne peut pas aller à droite, il va tout droit. S'il ne peut pas aller tout 
                                droit il va à gauche, et il fait demi-tour sinon. Cela revient à poser la main sur le mur de droite
                                et ne pas le lacher. 
                           </p>
                            <p>   
                                Si le labyrinthe ne comporte pas d'îlot (un chemin autour duquel le robot peut tourner en boucle) alors le rebot sera certain de trouver la sortie, 
                                car il va explorer le labyrinthe en entier.
                            </p>
                            <p>
                                Tout comme Random Mouse, il n'y a pas besoin de mémoire.
                            </p> 
                        </div>
                        
                        <div id="tabcontent3" class="tabcontent" style="display: none">
                            <h1>Pledge</h1>
                            <p>
                                L'algorithme de Pledge est une amélioration de L'algorithme de la main droite, pour sortir des îlots. Le robot suit le mur de droite 
                                et compte en plus la somme des virages qu'il prend (90° dans le sens hoaire, -90° dans le sens anti-horaire). 
                            </p>
                            <p>  
                                Quand le robot
                                revient à la même orientation qu'il avait au tout début, et que la somme des virages et de nouveau 0, il arrête de suivre le 
                                mur de droite et continue tout droit. 
                            </p>
                            <p>  
                                Cette méthode est efficace pour sortir des îlots, mais nécessite un peu de mémoire dont la 
                                taille ne varie pas lors de l'exploration du labyrinthe.

                            </p>
                        </div>
                        <div id="tabcontent4" class="tabcontent" style="display: none">
                            <h1>Parcours en profondeur</h1>
                            <p>
                                À chaque intersection, le robot laisse une marque signalant d'où il vient, et la direction qu'il a emprunté. Quand il tombe dans un cul-de-sac, il remonte à 
                                la dernière intersection marquée ayant des sorties non-marquées (ce qui signifie qu'il peut remonter plusieurs intersections d'un coup). Il en choisit une puis continue son chemin.
                            </p>
                            <p>
                                
                                La mémoire demandée dépend de la taille du labyrinthe, contrairement à Pledge où la mémoire est constante. Le robot devrait cependant sortir plus rapidement du labyrinthe.
                            </p>
                        </div>
                        <div id="tabcontent5" class="tabcontent" style="display: none">
                            <h1>Parcours en largeur</h1>
                            <p>
                                À chaque intersection, le robot explore toutes les directions possibles en parralèle. 
                            </p>
                            <p>
                                Cela nécessite donc plus de mémoire que le parcours en profondeur, mais garantit que le chemin trouvé sera le plus court 
                                (comme tous les chemins sont explorés en parallèle le premier trouvé sera le plus court).


                            </p>
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="usageTitle" style="margin-top: 50px;">Mémoire utilisée</div>
                        <div id="memoryUsed">0</div>
                        <div class="usageTitle">Temps utilisé</div>
                        <div id="timeUsed">0</div>
                        <button id="thirdGameValidation" type="button" class="bigButton" style="margin-top: 50px; width: 180px;" data-text="startSim"></button>
                    </div>
                </div>
            </div>
            
        </div>
        
        <div id="victoryFirstAppScreen">
            <div class="text-center">
                <div class="instructionLine" data-text="firstApp/victory/0" style="animation-delay: 0s; font-size: 5rem;"></div>
                <div class="trophy">
                    <i class="fas fa-trophy"></i>
                </div>
                <div class="instructionLine" data-text="firstApp/victory/1" style="animation-delay: 3s;"></div>
                <div class="instructionLine" data-text="firstApp/victory/2" style="animation-delay: 3.5s;  margin-bottom: 2%"></div>
                <div class="instructionLine" style="animation-delay: 4s;">
                    <button type="button" class="bigButton" id="endFirstGame" style="margin-top: 2%" data-text="finish"></button>
                </div>
            </div>
        </div>
        
        <div id="victorySecondAppScreen">
            <div class="text-center">
                <div class="instructionLine" data-text="secondApp/victory/0" style="animation-delay: 0s; font-size: 5rem;"></div>
                <div class="trophy">
                    <i class="fas fa-trophy"></i>
                </div>
                <div class="instructionLine" data-text="secondApp/victory/1" style="animation-delay: 3s;"></div>
                <div class="instructionLine" data-text="secondApp/victory/2" style="animation-delay: 3.5s;"></div>
                <div class="instructionLine" data-text="secondApp/victory/3" style="animation-delay: 4s;"></div>
                <div class="instructionLine" style="animation-delay: 4s;">
                    <button type="button" class="bigButton" id="endSecondGame" style="margin-top: 2%" data-text="finish"></button>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="agentKOModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="agentKOModal">
    <div class="modal-dialog modal-sm" role="document" style="width: 500px;">
        <div class="modal-content">
            <div class="modal-body">
                <div data-text="error" style="font-size: 20px; font-weight: bold; margin-bottom: 15px;"></div>
                <div id="textError" style="font-size: 20px;"></div>
                <div class="text-center">
                    <button id="agentKOValidation" type="button" class="bigButtonModal" style="margin-top: 30px; margin-left: 0px; width: 250px;" data-text="continue"></button>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="symbolHelpModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="symbolModal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-body" style="font-size: 20px;" >
                 <ul style="margin-top: 1%">
                    <li data-text="secondApp/helpSymbol/0"></li>
                </ul>

                <div class="row">
                    <div class="col-xs-4 col-xs-offset-3">
                        <div class="emptyFullState forwardCell"></div>
                    </div>
                </div>
                 <div class="row">
                    <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                    </div>
                    <div class="col-xs-4">
                        <div class="fullState leftCell"></div>
                        <div class="inputAlgorithmTop"></div>
                        <div class="emptyState rightCell"></div>
                    </div>
                    <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                    </div>
                    <div class="col-xs-3">
                        <div class="imgDirection imgDirectionRight directionDrop"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-4 col-xs-offset-3">
                        <div class="inputAlgorithmBottom"></div>
                    </div>
                </div>
                
                 <ul style="margin-top: 1%">
                    <li data-text="secondApp/helpSymbol/1"></li>
                </ul>

                <div class="row">
                    <div class="col-xs-4 col-xs-offset-3">
                        <div class="fullState forwardCell"></div>
                    </div>
                </div>
                 <div class="row">
                    <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                    </div>
                    <div class="col-xs-4">
                        <div class="fullState leftCell"></div>
                        <div class="inputAlgorithmTop"></div>
                        <div class="emptyState rightCell"></div>
                    </div>
                    <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                    </div>
                    <div class="col-xs-3">
                        <div class="imgDirection imgDirectionRight directionDrop"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-4 col-xs-offset-3">
                        <div class="inputAlgorithmBottom"></div>
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-xs-4 col-xs-offset-3">
                        <div class="emptyState forwardCell"></div>
                    </div>
                </div>
                 <div class="row">
                    <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                    </div>
                    <div class="col-xs-4">
                        <div class="fullState leftCell"></div>
                        <div class="inputAlgorithmTop"></div>
                        <div class="emptyState rightCell"></div>
                    </div>
                    <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                    </div>
                    <div class="col-xs-3">
                        <div class="imgDirection imgDirectionRight directionDrop"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-4 col-xs-offset-3">
                        <div class="inputAlgorithmBottom"></div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
</div>

<div id="fullHelpModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="helpModal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-body" style="font-size: 20px;" >
                <div data-text="secondApp/helpTitle"></div>
                <ul style="margin-top: 1%">
                    <li data-text="secondApp/help/0"></li>
                </ul>
                <button type="button" id="firstHelpButton" class="bigButtonModal" style="margin-top: 2%; float: right" data-text="secondApp/hint"></button>
                <div style="clear: right"></div>
                
                <div id="firstHelp">
                    <ul style="margin-top: 1%">
                    <li data-text="secondApp/help/1"></li>
                    </ul>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="emptyFullState forwardCell"></div>
                        </div>
                    </div>
                     <div class="row">
                        <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                        </div>
                        <div class="col-xs-4">
                            <div class="emptyFullState leftCell"></div>
                            <div class="inputAlgorithmTop"></div>
                            <div class="emptyState rightCell"></div>
                        </div>
                        <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                        </div>
                        <div class="col-xs-3">
                            <div class="imgDirection imgDirectionRight directionDrop"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="inputAlgorithmBottom"></div>
                        </div>
                    </div>
                </div>
                <button id="secondHelpButton" type="button" class="bigButtonModal" style="margin-top: 2%; float: right" data-text="secondApp/hint"></button>
                <div style="clear: right"></div>

                <div id="secondHelp">
                    <ul style="margin-top: 1%">
                    <li data-text="secondApp/help/2"></li>
                    </ul>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="emptyState forwardCell"></div>
                        </div>
                    </div>
                     <div class="row">
                        <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                        </div>
                        <div class="col-xs-4">
                            <div class="emptyFullState leftCell"></div>
                            <div class="inputAlgorithmTop"></div>
                            <div class="fullState rightCell"></div>
                        </div>
                        <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                        </div>
                        <div class="col-xs-3">
                            <div class="imgDirection imgDirectionForward directionDrop"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="inputAlgorithmBottom"></div>
                        </div>
                    </div>
                </div>
                <button type="button" id="thirdHelpButton" class="bigButtonModal" style="margin-top: 2%; float: right" data-text="secondApp/hint"></button>
                <div style="clear: right"></div>

                <div id="thirdHelp">
                    <ul style="margin-top: 1%">
                    <li data-text="secondApp/help/3"></li>
                    </ul>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="fullState forwardCell"></div>
                        </div>
                    </div>
                     <div class="row">
                        <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                        </div>
                        <div class="col-xs-4">
                            <div class="emptyState leftCell"></div>
                            <div class="inputAlgorithmTop"></div>
                            <div class="fullState rightCell"></div>
                        </div>
                        <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                        </div>
                        <div class="col-xs-3">
                            <div class="imgDirection imgDirectionLeft directionDrop"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="inputAlgorithmBottom"></div>
                        </div>
                    </div>
                </div>
                <button type="button" id="fourthHelpButton" class="bigButtonModal" style="margin-top: 2%; float: right" data-text="secondApp/hint"></button>
                <div style="clear: right"></div>

                <div id="fourthHelp">
                    <ul style="margin-top: 1%">
                    <li data-text="secondApp/help/4"></li>
                    </ul>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="fullState forwardCell"></div>
                        </div>
                    </div>
                     <div class="row">
                        <div class="col-xs-3 conditionText text-center" data-text="secondApp/if">
                        </div>
                        <div class="col-xs-4">
                            <div class="fullState leftCell"></div>
                            <div class="inputAlgorithmTop"></div>
                            <div class="fullState rightCell"></div>
                        </div>
                        <div class="col-xs-2 conditionText text-center"  data-text="secondApp/then">
                        </div>
                        <div class="col-xs-3">
                            <div class="imgDirection imgDirectionTurnAround directionDrop"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-4 col-xs-offset-3">
                            <div class="inputAlgorithmBottom"></div>
                        </div>
                    </div>
                </div>
                
                
            </div>
        </div>
    </div>
</div>


<div id="timeoutModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="timeoutModal">
    <div class="modal-dialog modal-sm text-center" role="document">
        <div class="modal-content">
            <div class="modal-body" style="font-size: 20px;">
                <div data-text="timeout"></div>
                <div id="chrono" style="font-size: 40px; font-weight: bold; margin-top: 20px;"></div>
            </div>
        </div>
    </div>
</div>

<div id="firstHelpModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="firstHelpModal">
    <div class="modal-dialog modal-sm text-center" role="document">
        <div class="modal-content">
            <div class="modal-body" style="font-size: 20px;">
                <div data-text="firstApp/helpMessage"></div>
            </div>
        </div>
    </div>
</div>

<div id="lookModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="" firstHelp="lookModal">
    <div class="modal-dialog modal-sm text-center" role="document">
        <div class="modal-content">
            <div class="modal-body" style="font-size: 20px;">
                <div data-text="lookMessage"></div>
            </div>
        </div>
    </div>
</div>


<div id="restartModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="restartModal">
    <div class="modal-dialog modal-sm text-center" role="document">
        <div class="modal-content">
            <div class="modal-body" style="font-size: 20px;">
                <div data-text="restart"></div>
                <button type="button" id="restartOK" class="bigButtonModal" style="margin-top: 10%;" data-text="yes"></button>
                <button type="button" id="restartKO" class="bigButtonModal" style="margin-top: 10%; margin-left: 50px" data-text="no"></button>
            </div>
        </div>
    </div>
</div>


<div id="footer">
    <div style="float: right"><a id="goToCopyright" href="">©</a></div>    
    <div id="restartDiv"><a href="" data-text="start" id="restartGame"></a></div>
</div>


<div id="copyright">
    <div class="row"  style="margin-bottom: 3%">
        <div class="col-xs-4  col-xs-offset-1">
            <div id="copyrightTitle">Muséographie</div>
            <div id="copyrightPeople">Vincent Blech, commissaire de l'exposition</div>
            <div id="copyrightPeople">Stéphane Fay, contenus scientifiques</div>
        </div>
    </div>
    <div class="row" style="margin-bottom: 3%">
        <div class="col-xs-4  col-xs-offset-1">
            <div id="copyrightTitle">Conseillers scientifiques</div>
            <div id="copyrightPeople">Laurent Viennot, INRIA</div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-5  col-xs-offset-1">
            <div id="copyrightTitle">Conception et réalisation</div>
            <div id="copyrightPeople">Multimédia : Led's Chat</div>
            <div id="copyrightPeople">Charte graphique: Villar + Vera</div>
            <div id="copyrightPeople">Traduction: Alpha</div>
        </div>
        <div class="col-xs-5 col-xs-offset-1">
            <div id="copyrightPart">Avec le soutien de</div>
            <div>
                <img src="frontend/img/logoMathWorks.png" style="width: 30%; margin-right: 5%"/>
                <img src="frontend/img/Palais_1_lieu_univ_blanc.png" style="width: 30%"/>
            </div>
            <div id="copyrightEnd">
                © EPPDCSI 2017
            </div>
        </div>
    </div>
    <div id="copyrightQuit"></div>
</div>
<!--
<div style="position: fixed; bottom: 15px; left: 15px; margin: 0px; display: none" id="restartDiv">
    <button  type="button" class="bigButton" id="restartGame" style="padding-left: 30%; padding-right: 30%" data-text="start"></button>
</div>-->
<script src="frontend/js/jphidgets22.1.0.0.min.js"></script>
<script src="frontend/js/sha256.js"></script>
<script src="frontend/js/base.js"></script>
<script src="frontend/js/firstApp.js"></script>
<script src="frontend/js/secondApp.js"></script>
<script src="frontend/js/thirdApp.js"></script>
<script src="frontend/js/selecter.js"></script>
<script src="frontend/js/events.js"></script>


